@article{Stonebraker,
	Author = {Emil Kotrc},
	Journal = {IDUG},
	Title = {Dr. Michael Stonebraker's 10 fears about the future of the DBMS field},
	Url = {https://www.idug.org/p/bl/et/blogaid=820},
	Year = {28.01.2019}}

@article{Dexter,
	Author = {Dexter},
	Journal = {GitHub},
	Title = {The automatic indexer for Postgres},
	Url = {https://github.com/ankane/dexter},
	Year = {25.06.2017}}

@article{IntroductionDexter,
	Author = {Andrew Kane},
	Journal = {ankane.org},
	Title = {Introducing Dexter, the Automatic Indexer for Postgres},
	Url = {https://ankane.org/introducing-dexter},
	Year = {26.06.2017}}

@article{Postgres,
	Author = {PostgreSQL community},
	Journal = {The PostgreSQL Global Development Group},
	Title = {PostgreSQL},
	Url = {https://www.postgresql.org/},
	Year = {1986}}
	
@article{PostgresExplainAnalyze,
	Author = {PostgreSQL community},
	Journal = {The PostgreSQL Global Development Group},
	Title = {PostgreSQL Using Explain},
	Url = {https://www.postgresql.org/docs/9.5/using-explain.html/}}
	
@article{PostgresParallelQuery,
	Author = {PostgreSQL community},
	Journal = {The PostgreSQL Global Development Group},
	Title = {Parallel Query},
	Url = {https://www.postgresql.org/docs/9.6/parallel-query.html/}}
	
@article{PostgresAggregate,
	Author = {PostgreSQL community},
	Journal = {The PostgreSQL Global Development Group},
	Title = {Parallel Plans},
	Url = {https://www.postgresql.org/docs/9.6/parallel-plans.html/}}

@article{Ruby,
	Author = {Yukihiro Matsumoto},
	Journal = {Ruby community},
	Title = {Ruby},
	Url = {https://www.ruby-lang.org/en/},
	Year = {1995}}

@article{HypoPG,
	Author = {Julien Rouhaud},
	Journal = {ankane.org},
	Title = {HypoPG},
	Url = {https://github.com/HypoPG/hypopg},
	Year = {2015}}
	
@article{HypoPGHypotheticalObjects,
	Author = {Julien Rouhaud},
	Journal = {ankane.org},
	Title = {Hypothetical objects},
	Url = {https://hypopg.readthedocs.io/en/latest/hypothetical_objects.html},
	Year = {2015}}
	
@article{pgquery,
	Author = {pganalyze Team},
	Journal = {PostgreSQL Global Development Group},
	Title = {pg\_query},
	Url = {https://github.com/lfittl/pg_query},
	Year = {2008}}

@article{Frozendata,
	Author = {frozendata},
	Journal = {fu-berlin},
	Title = {Freie Universitaet Berlin},
	Url = {ftp://ftp.fu-berlin.de/misc/movies/database/frozendata},
	Year = {2017}}

@article{fu-berlin,
	Author = {Freie Universitaet Berlin},
	Journal = {fu-berlin},
	Title = {Freie Universitaet Berlin},
	Url = {https://www.fu-berlin.de/},
	Year = {2019}}

@article{join-order-benchmark,
	Author = {Viktor Leis. Andrey Gubichev. Atans Mirchev. Peter Boncz. Alfons Kemper. Thomas Neumann},
	Journal = {PVLDB Volume 9, No. 3, 2015},
	Title = {join-order-benchmark},
	Url = {https://github.com/gregrahn/join-order-benchmark},
	Year = {2015}}

@article{imdbpy,
	Author = {Davide Alberani},
	Journal = {IMDbPY is a Python package useful to retrieve and manage the data of the IMDb movie database},
	Title = {imdbpy},
	Url = {https://github.com/alberanid/imdbpy},
	Year = {2017}}

@article{rubyGems,
	Author = {Nick Quaranto},
	Journal = {Find, install, and publish RubyGems.},
	Title = {rubyGems},
	Url = {https://rubygems.org/},
	Year = {2009}}

@article{indexes,
	Author = {tutorialspoint.com},
	Journal = {The Biggest Online Tutorials Library, It's all Free},
	Title = {tutorialspoint},
	Url = {https://www.tutorialspoint.com/postgresql/postgresql_indexes.htm},
	Year = {2006}}

@article{isp,
	Author = {A. Caprara. M. Fischetti. D. Maio},
	Journal = { IEEE Transactions on Knowledge and Data Engineering ( Volume: 7 , Issue: 6 , Dec 1995 )},
	pages = {955 - 967},
	Title = {Exact and approximate algorithms for the index selection problem in physical database design},
	Url = {https://ieeexplore.ieee.org/document/476501},
	Year = {Dec 1995},
	}





@article{Template,
	Author = {Steve R. Gunn},
	Journal = {Overleaf --- ShareLaTeX},
	Title = {graduate-thesis},
	Url = {https://www.sharelatex.com/templates/thesis/graduate-thesis},
	Year = {2014}}

@article{PgAdmin,
	Author = {Dave Page},
	Journal = {The pgAdmin Development Team},
	Title = {pgAdmin is the most popular and feature rich Open Source administration and development platform for PostgreSQL, the most advanced Open Source database in the world.},
	Url = {https://www.pgadmin.org},
	Year = {unknown}}

@article{psql,
	Author = {Dave Page},
	Journal = {The pgAdmin Development Team},
	Title = {psql is a terminal-based front-end to PostgreSQL.},
	Url = {https://www.postgresql.org/docs/current/app-psql.html},
	Year = {unknown}}

@article{Datasette,
	Author = {Simon Willison},
	Journal = {Simon Willison},
	Title = {Datasette is a tool for exploring and publishing data.},
	Url = {https://datasette.readthedocs.io/en/stable/},
	Year = {unknown}}

@article{IdeasDatasette,
	Author = {Simon Willison},
	Journal = {4th October 2018},
	Title = {The interesting ideas in Datasette.},
	Url = {https://simonwillison.net/2018/Oct/4/datasette-ideas/},
	Year = {2018}}

@article{PostgREST,
	Author = {Joe Nelson},
	Journal = {2017},
	Title = {PostgREST is a standalone web server that turns your PostgreSQL database directly into a RESTful API.},
	Url = {http://postgrest.org/en/v5.2/},
	Year = {2017}}

@article{PostgREST_API,
	Author = {Joe Nelson},
	Journal = {2017},
	Title = {PostgREST API.},
	Url = {http://postgrest.org/en/latest/api.html},
	Year = {2017}}

@article{GraphQL,
	Author = {Hasura Technologies Private Limited},
	Journal = {2018},
	Title = {GraphQL},
	Url = {https://github.com/hasura/graphQL-engine},
	Year = {2018}}

@article{HasuraPostGis,
	Author = {Hasura Technologies Private Limited},
	Journal = {23.01.2019},
	Title = {Native support for PostGIS topology operators},
	Url = {https://blog.hasura.io/native-support-for-postgis-topology-operators-now-in-graphql-engine/},
	Year = {2019}}

@article{HasuraFunctions,
	Author = {Rikin Kachhia},
	Journal = {16.08.2018},
	Title = {Feature overview},
	Url = {https://blog.hasura.io/using-custom-sql-functions-for-queries-with-postgres-and-graphql-ddca6caf6681/},
	Year = {2018}}

@article{NPlusOneQueries,
	Author = {Bret Doucette},
	Journal = {10.01.2016},
	Title = {N+1 Queries and How to Avoid Them},
	Url = {https://medium.com/@bretdoucette/n-1-queries-and-how-to-avoid-them-a12f02345be5},
	Year = {2016}}

@article{NPlusOneQueries,
	Author = {Bret Doucette},
	Journal = {10.01.2016},
	Title = {N+1 Queries and How to Avoid Them},
	Url = {},
	Year = {2016}}

@article{DatasetteNews,
	Author = {Simon Willison},
	Journal = {Simon Willison},
	Title = {Datasette is a tool for exploring and publishing data - News},
	Url = {https://github.com/simonw/datasette#news},
	Year = {2019}}

@article{RESTvsGPRC,
	Author = {Gigi Sayfan},
	Journal = {Gigi Sayfan},
	Title = {REST vs. gRPC: Battle of the APIs.},
	Url = {https://code.tutsplus.com/tutorials/rest-vs-grpc-battle-of-the-apis--cms-30711},
	Year = {2018}}

@article{gRPC,
	Author = {Google},
	Journal = {Google},
	Title = {gRPC - A high performance, open-source universal RPC framework},
	Url = {https://grpc.io/docs/},
	Year = {unknown}}

@article{DatabaseAsAService,
	Author = {Michael Seibold, Alfons Kemper},
	Journal = {Springer-Verlag},
	Title = {Database as a Service},
	Url = {https://doi.org/10.1007/s13222-011-0075-1},
	Year = {2011}}
	
@article{SwissPUGWiki,
	Author = {SwissPUG Group},
	Title = {Swiss PostgreSQL Users Group},
	Url={https://www.swisspug.org/wiki/index.php/Swiss_PostgreSQL_Users_Group},
	Year = {2016}}
	

